
import base_section

from runtest import conditions

class IdentityFeatureEnabled(base_section.BaseSection):

    name = "identity-feature-enabled"
    options = [
        'api_extensions',
        'api_v2',
        'api_v2_admin',
        'api_v3',
        'domain_specific_drivers',
        'forbid_global_implied_dsr',
        'security_compliance',
        'trust',
    ]


    @property
    def api_extensions(self):
        pass

    @property
    def api_v2(self):
        pass

    @property
    def api_v2_admin(self):
        pass

    @property
    def api_v3(self):
        pass

    @property
    def domain_specific_drivers(self):
        c = conditions.BaseRule('keystone.server.enabled', 'eq', True)
        keystone_domain = self.get_item_when_condition_match(
            'keystone.server.domain', c)
        if keystone_domain:
            return True

    @property
    def forbid_global_implied_dsr(self):
        pass

    @property
    def security_compliance(self):
        c = conditions.BaseRule('keystone.server.enabled', 'eq', True)
        security_compliance = self.get_item_when_condition_match(
            'keystone.server.security_compliance', c)
        if security_compliance:
            return True

    @property
    def trust(self):
        pass
